com.tibco.n2.service.adapter.dynamic

## Class AdapterCoreObjectHandler

- java.lang.Object
- - com.tibco.n2.service.adapter.dynamic.AbstractAdapterHandler
  - - com.tibco.n2.service.adapter.dynamic.AdapterCoreObjectHandler

- All Implemented Interfaces:
    java.lang.reflect.InvocationHandler

      public class AdapterCoreObjectHandler
      extends AbstractAdapterHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.Class` | `componentType` Component type interface class

    - ### Fields inherited from class com.tibco.n2.service.adapter.dynamic.AbstractAdapterHandler

      `handler, isBindingMethod, serviceAdapter, subjectService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdapterCoreObjectHandler(Processor serviceAdapter, java.lang.Object subjectService, java.lang.Class componentType)` TODO Describe this method

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `getComponentType()` TODO Describe this method
    `protected java.lang.Object` | `handleServiceInvocation(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args)` TODO Describe this method
    `protected java.lang.Object` | `hookAfterInvocation(java.lang.Object object, java.lang.reflect.Method method)`
    `protected boolean` | `isAdaptArgumentType(java.lang.reflect.Method method, java.lang.Object[] args)` TODO Describe this method
    `protected boolean` | `isAdaptReturnType(java.lang.reflect.Method method, java.lang.Object[] args)` TODO Describe this method

    - ### Methods inherited from class com.tibco.n2.service.adapter.dynamic.AbstractAdapterHandler

      `adaptArguments, adaptReturnType, considerMethodAnnotations, getAdaptedMethod, getAllFields, getAllInterfaces, getAuditAction, getDeclaredMatchingMethod, getDeclaredMatchingMethod, getDeclaredMatchingMethod, getFieldValue, getInterface, getIterator, getMatchingMethod, getMatchingMethod, getReturnParameterizedType, getterMethod, handleArray, handleCollection, hookBeforeInvocation, invoke, invokeMethod, invokeMethod, invokeMethodOnServiceAdapter, invokeMethodOnSubjectService, isAnnotated, isArray, isCollection, isCompatibleType, isDeclared, isHandleByAdapter, isProxy, isSimilar, loadClass, printFields, printFields, printInterfaceNames, printMethodInfo, printMethods, printParameterizedTypeInfo, proxyIt, proxyIt, setterMethod, unProxy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### componentType

          protected java.lang.Class componentType

      Component type interface class

  - ### Constructor Detail

    - #### AdapterCoreObjectHandler

          public AdapterCoreObjectHandler(Processor serviceAdapter,
                                          java.lang.Object subjectService,
                                          java.lang.Class componentType)

      TODO Describe this method
      Parameters:
        `serviceAdapter` -
        `subjectService` -

  - ### Method Detail

    - #### handleServiceInvocation

          protected java.lang.Object handleServiceInvocation(java.lang.Object proxy,
                                                             java.lang.reflect.Method method,
                                                             java.lang.Object[] args)
                                                      throws java.lang.Throwable

      Description copied from class: `AbstractAdapterHandler`
      TODO Describe this method
      Specified by:
        `handleServiceInvocation` in class `AbstractAdapterHandler`
      Returns:
      Throws:
        `java.lang.Throwable`

    - #### hookAfterInvocation

          protected java.lang.Object hookAfterInvocation(java.lang.Object object,
                                                         java.lang.reflect.Method method)
                                                  throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### getComponentType

          public java.lang.Class getComponentType()

      Description copied from class: `AbstractAdapterHandler`
      TODO Describe this method
      Overrides:
        `getComponentType` in class `AbstractAdapterHandler`
      Returns:

    - #### isAdaptArgumentType

          protected boolean isAdaptArgumentType(java.lang.reflect.Method method,
                                                java.lang.Object[] args)

      Description copied from class: `AbstractAdapterHandler`
      TODO Describe this method
      Specified by:
        `isAdaptArgumentType` in class `AbstractAdapterHandler`
      Returns:

    - #### isAdaptReturnType

          protected boolean isAdaptReturnType(java.lang.reflect.Method method,
                                              java.lang.Object[] args)

      Description copied from class: `AbstractAdapterHandler`
      TODO Describe this method
      Specified by:
        `isAdaptReturnType` in class `AbstractAdapterHandler`
      Returns:

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.